# -*- encoding: utf8 -*-
from setuptools import setup, find_packages

import os

setup(
    name="remote-pdb",
    version="0.2.0",
    url='https://github.com/ionelmc/python-remote-pdb',
    download_url='',
    license='BSD',
    description="Remote vanilla PDB (over TCP sockets).",
    long_description=open(os.path.join(os.path.dirname(__file__), 'README.rst')).read(),
    author='Ionel Cristian Mărieș',
    author_email='contact@ionelmc.ro',
    py_modules=['remote_pdb'],
    package_dir={'': 'src'},
    include_package_data=True,
    zip_safe=False,
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: Unix',
        'Operating System :: POSIX',
        'Operating System :: Microsoft :: Windows',
        'Programming Language :: Python',
        'Topic :: Utilities',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: Implementation :: CPython',
        'Programming Language :: Python :: Implementation :: PyPy',
    ],
    install_requires=[
        'redis>=2.7.4',
    ],
    extras_require={
        'django': [
            'django-redis>=3.3',
        ]
    }
)
